Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.samplers
Class BatchSampleSender

    java.lang.Object
      org.apache.jmeter.samplers.AbstractSampleSender
          org.apache.jmeter.samplers.BatchSampleSender

All Implemented Interfaces:
  Serializable, SampleSender

    public class BatchSampleSender

extends AbstractSampleSender
implements Serializable

Implements batch reporting for remote testing.

See Also:
  Serialized Form

Constructor Summary
`` | `BatchSampleSender()` Deprecated. only for use by test code
`protected` | `BatchSampleSender(RemoteSampleListener listener)` Constructor

Method Summary
`protected RemoteSampleListener` | `getListener()`
`protected List<SampleEvent>` | `getSampleStore()`
`void` | `sampleOccurred(SampleEvent e)` Stores sample events untill either a time or sample threshold is breached.
`void` | `testEnded(String host)` Checks if any sample events are still present in the sampleStore and sends them to the listener.

Methods inherited from class org.apache.jmeter.samplers.AbstractSampleSender
`isClientConfigured, testEnded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchSampleSender

    @Deprecated
    public BatchSampleSender()

  Deprecated. only for use by test code

### BatchSampleSender

    protected BatchSampleSender(RemoteSampleListener listener)

  Constructor

  Parameters:
    `listener` - that the List of sample events will be sent to.

Method Detail

### getListener

    protected RemoteSampleListener getListener()

  Returns:
    the listener

### getSampleStore

    protected List<SampleEvent> getSampleStore()

  Returns:
    the sampleStore

### testEnded

    public void testEnded(String host)

  Checks if any sample events are still present in the sampleStore and sends them to the listener. Informs the listener of the testended.

  Specified by:
    `testEnded` in interface `SampleSender`
  Parameters:
    `host` - the host that the test has ended on.

### sampleOccurred

    public void sampleOccurred(SampleEvent e)

  Stores sample events untill either a time or sample threshold is breached. Both thresholds are reset if one fires. If only one threshold is set it becomes the only value checked against. When a threhold is breached the list of sample events is sent to a listener where the event are fired locally.

  Specified by:
    `sampleOccurred` in interface `SampleSender`
  Parameters:
    `e` - a Sample Event

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.